Toggle Webhook Active State
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active \
--header 'Authorization: Bearer <token>'const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active';
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 9500,
"payloadUrl": "https://example.org/webhooks/virtuous",
"secret": "whsec_1a2b3c4d5e6f7g8h9i0j",
"contactCreate": true,
"contactUpdate": true,
"giftCreate": true,
"giftUpdate": true,
"giftDelete": false,
"projectCreate": false,
"projectUpdate": false,
"projectDelete": false,
"formSubmission": true,
"contactNoteCreate": false,
"contactNoteUpdate": false,
"contactNoteDelete": false,
"eventCreate": false,
"eventUpdate": false,
"eventDelete": false,
"active": true
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Webhooks
Toggle Webhook Active State
Activates or pauses delivery for the webhook. Pass active=true to resume delivery and active=false to pause it, leaving the payload URL and event subscriptions in place.
PUT
/
api
/
Webhook
/
{webhookId}
/
Active
Toggle Webhook Active State
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The webhook identifier.
Query Parameters
(Required) The active value.
Response
OK
The unique identifier of the record in Virtuous.
Last modified on August 11, 2026
Was this page helpful?
⌘I